import request from '@/utils/request'

// 查询排班计划管理列表
export function listRoster(query) {
  return request({
    url: '/shiftmgr/roster/list',
    method: 'get',
    params: query
  })
}

// 查询排班计划管理详细
export function getRoster(id) {
  return request({
    url: '/shiftmgr/roster/' + id,
    method: 'get'
  })
}

// 新增排班计划管理
export function addRoster(data) {
  return request({
    url: '/shiftmgr/roster',
    method: 'post',
    data: data
  })
}

// 修改排班计划管理
export function updateRoster(data) {
  return request({
    url: '/shiftmgr/roster',
    method: 'put',
    data: data
  })
}

// 删除排班计划管理
export function delRoster(id) {
  return request({
    url: '/shiftmgr/roster/' + id,
    method: 'delete'
  })
}

// 导出排班计划管理
export function exportRoster(query) {
  return request({
    url: '/shiftmgr/roster/export',
    method: 'get',
    params: query
  })
}